org.wso2.carbon.device.mgt.mobile.windows.api.common.beans

## Class ErrorResponse

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.beans.ErrorResponse

-     public class ErrorResponse
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ErrorResponse.ErrorResponseBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addErrorListItem(ErrorListItem item)`
    `Long` | `getCode()`
    `String` | `getDescription()`
    `List<ErrorListItem>` | `getErrorItems()` If there are more than one error list them out.
    `String` | `getMessage()`
    `String` | `getMoreInfo()`
    `void` | `setCode(Long code)`
    `void` | `setDescription(String description)`
    `void` | `setErrorItems(List<ErrorListItem> error)`
    `void` | `setMessage(String message)`
    `void` | `setMoreInfo(String moreInfo)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorResponse

          public ErrorResponse()

  - ### Method Detail

    - #### getCode

          public Long getCode()

    - #### setCode

          public void setCode(Long code)

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public void setMessage(String message)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getMoreInfo

          public String getMoreInfo()

    - #### setMoreInfo

          public void setMoreInfo(String moreInfo)

    - #### addErrorListItem

          public void addErrorListItem(ErrorListItem item)

    - #### getErrorItems

          public List<ErrorListItem> getErrorItems()

      If there are more than one error list them out. \nFor example, list out validation errors by each field.

    - #### setErrorItems

          public void setErrorItems(List<ErrorListItem> error)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017 WSO2. All rights reserved.